#
# spec file for package cipe (Version 0.5.6)
# 
# Copyright  (c)  1998  S.u.S.E. GmbH  Fuerth, Germany.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  lx_suse kernmod

Vendor:       S.u.S.E. GmbH, Fuerth, Germany
Distribution: S.u.S.E. Linux 5.3 (i386)
Name:         cipe
Release:      6
Copyright:    1996-1997 Olaf Titz
Group: 
Provides:     cipe 
Requires: 
Conflicts:    
Autoreqprov:  on
Packager:     feedback@suse.de

Summary:      Encrypted IPIP-Tunnel
Version:      0.5.6
Source: cipe-0.5.6.tar.gz
Patch: cipe-0.5.6.dif
%description
CIPE (the name is shortened from *Crypto IP Encapsulation*) is a
package for an encrypting IP tunnel device. This can be used to build
encrypting routers for VPN (Virtual Private Networks) and similar
applications. 

Authors:
--------
    Olaf Titz <olaf@bigred.inka.de>

%prep
%setup -n cipe-0.5.6
%patch
# ---------------------------------------------------------------------------
%build
make
# ---------------------------------------------------------------------------
%install
make install
install -g root -m 755 -o root rc.cipe /sbin/init.d/cipe
ln -sf ../cipe /sbin/init.d/rc2.d/S08cipe 
ln -sf ../cipe /sbin/init.d/rc2.d/K37cipe
ln -sf ../cipe /sbin/init.d/rc3.d/S08cipe
ln -sf ../cipe /sbin/init.d/rc3.d/K37cipe
mkdir -p /var/adm/fillup-templates
install -m 644 rc.config.cipe /var/adm/fillup-templates/rc.config.cipe
install -d -m 755 /etc/cipe
install -m 755 samples/ip-up /etc/cipe/ip-up
install -m 755 samples/ip-down /etc/cipe/ip-down
install -m 600 samples/options /etc/cipe/options
Check
%post
echo "Updating etc/rc.config..."
if [ -x bin/fillup ] ; then
  bin/fillup -q -d = etc/rc.config var/adm/fillup-templates/rc.config.cipe
else
  echo "ERROR: fillup not found. This should not happen. Please compare"
  echo "etc/rc.config and var/adm/fillup-templates/rc.config.cipe and"
  echo "update by hand."
fi
%files
%doc COPYING
%doc README
%doc README.SuSE
%doc Checksums
%doc cipe.info
%doc cipe.lsm
%doc tcpdump.patch
%config /etc/cipe/options
%config /etc/cipe/ip-up
%config /etc/cipe/ip-down
%config /sbin/init.d/cipe
/sbin/init.d/rc2.d/K37cipe
/sbin/init.d/rc2.d/S08cipe
/sbin/init.d/rc3.d/K37cipe
/sbin/init.d/rc3.d/S08cipe
/usr/sbin/ciped
/usr/info/cipe.info.gz
/var/adm/fillup-templates/rc.config.cipe
/lib/modules/*/misc/cip3b.o

